jvx.numeric

## Class PnTranslationRK

- java.lang.Object
- - jv.object.PsObject
  - - jvx.numeric.PnGeodesicRK
    - - jvx.numeric.PnTranslationRK

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsUpdateIf

      public class PnTranslationRK
      extends PnGeodesicRK

  Discrete Runge-Kutta method on element sets. Vector field is given at vertices and is extended to the adjacent triangles by geodesic translation. Element set must be triangulated.
  See Also:
    `PnGeodesicRK`, Serialized Form
  Author:
    Eike Preuß
  Version:
    00.01.00, 1.00 (ep) created

- - ### Field Summary

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PnTranslationRK(PgElementSet geom)` Initializes runge-kutta.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `eval(int elemInd, PdBary bary, PdBaryDir out)` Returns barycentric interpolation between representations of vectors given at vertices.
    `void` | `setVectorField(int[] origElem, PdBaryDir[] origDir, int[] origLocVertInd)` Sets vector field and calculates needed data.

    - ### Methods inherited from class jvx.numeric.PnGeodesicRK

      `eval, getInvertDirection, getStepLength, nextStep, prepareSolve, setFirstOrder, setFourthOrder, setGeometry, setInvertDirection, solve, solve, solve`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, init, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, update, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PnTranslationRK

          public PnTranslationRK(PgElementSet geom)

      Initializes runge-kutta. Before any actions a vector field must be set.
      Parameters:
        `geom` - underlying geometry
      See Also:
        `setVectorField(int[], jv.vecmath.PdBaryDir[], int[])`

  - ### Method Detail

    - #### setVectorField

          public void setVectorField(int[] origElem,
                                     PdBaryDir[] origDir,
                                     int[] origLocVertInd)

      Sets vector field and calculates needed data. Parameters must contain data for one vector at each vertex of the geometry.
      Parameters:
        `origElem` - for every vertex the element in which origDir lies
        `origDir` - for every vertex the vector on an element
        `origLocVertInd` - local vertex index of the base vertex of vector in origElem

    - #### eval

          public void eval(int elemInd,
                           PdBary bary,
                           PdBaryDir out)

      Returns barycentric interpolation between representations of vectors given at vertices. Vectors at vertices are translated along (vertices to point) and then interpolated.
      Specified by:
        `eval` in class `PnGeodesicRK`
      Parameters:
        `elemInd` - element in which the vector field will be evaluated
        `bary` - barycentric coordinates of the point at which the vector field will be evaluated
        `out` - output: in this `PdBaryDir` the evaluated direction will be stored
      See Also:
        `PnElementRK.eval(int, jv.vecmath.PdBary, jv.vecmath.PdBaryDir)`, `PnVertexRK.eval(int, jv.vecmath.PdBary, jv.vecmath.PdBaryDir)`, `eval(int, jv.vecmath.PdBary, jv.vecmath.PdBaryDir)`

"

The software JavaView? is copyright protected. All Rights Reserved.
"